import 'package:flutter_test/flutter_test.dart';

import 'package:lorem_ipsum_nonrandom/lorem_ipsum_nonrandom.dart';

void main() {
  test('Gets letters', () {
    var result = LoremIpsum.provideText(letters: 10);
    assert(result != null);
  });
  test('Gets words', () {
    var result = LoremIpsum.provideText(words: 10);
    assert(result != null);
  });
  test('Gets sentences', () {
    var result = LoremIpsum.provideText(sentences: 10);
    assert(result != null);
  });
  test('Gets paragraphs', () {
    var result = LoremIpsum.provideText(paragraphs: 3);
    assert(result != null);
  });
  test('Fails with no input', () {
    try {
      LoremIpsum.provideText();
      fail("Failed to fail on no input");
    } on AssertionError { }
  });
}
